package cn.feast.coding.model.generator;

/**
 * Created By FeastCoding.
 */
public class Project {
    private Integer id;
    private String projectName;
    private String projectFileName;
    private String projectDesc;
    private Integer dataSourse;
    private DataSource dataSource;
    private String packName;
    private String pagePath;
    private Integer pageStyle;
    private PageTemplate pageTemplate;
    private String templateType;

    public String getProjectFileName() {
        return projectFileName;
    }

    public void setProjectFileName(String projectFileName) {
        this.projectFileName = projectFileName;
    }

    public PageTemplate getPageTemplate() {
        return pageTemplate;
    }

    public void setPageTemplate(PageTemplate pageTemplate) {
        this.pageTemplate = pageTemplate;
    }

    public DataSource getDataSource() {
        return dataSource;
    }

    public void setDataSource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectDesc() {
        return projectDesc;
    }

    public void setProjectDesc(String projectDesc) {
        this.projectDesc = projectDesc;
    }

    public Integer getDataSourse() {
        return dataSourse;
    }

    public void setDataSourse(Integer dataSourse) {
        this.dataSourse = dataSourse;
    }

    public String getPackName() {
        return packName;
    }

    public void setPackName(String packName) {
        this.packName = packName;
    }

    public String getPagePath() {
        return pagePath;
    }

    public void setPagePath(String pagePath) {
        this.pagePath = pagePath;
    }

    public Integer getPageStyle() {
        return pageStyle;
    }

    public void setPageStyle(Integer pageStyle) {
        this.pageStyle = pageStyle;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }
}
